# planet_utilities

Documentation: https://www.nsstc.uah.edu/users/ankur.kumar/planetutil/planet_utils/docs/_build/html/index.html

The `planetscope` package is a tool specifically designed to read and plot data from the PlanetScope satellite imaging system. The PlanetScope satellite imaging system is a collection of small, remote sensing satellites that capture high-resolution images of the Earth's surface. These images are used for a variety of applications, including mapping, land use analysis, and disaster response.

The `planetscope` package allows users to easily access and visualize this data by providing functions for reading and parsing the raw data files, as well as functions for generating plots and maps from the data. The package also includes tools for processing the data, such as image cropping, resampling, and band math.

In addition to its visualization capabilities, the `planetscope` package also includes functions for generating training data for machine learning algorithms. These functions allow users to extract specific features from the satellite images, such as land cover types or building footprints, and format them in a way that is suitable for use as training data. This can be particularly useful for tasks such as land use classification or object detection.


PlanetScope is a satellite imagery provider that offers high-resolution imagery of the Earth's surface for various industries, including agriculture, construction, and environmental monitoring. A Python package that has been developed to read and plot PlanetScope data might include the following features:

*    Reading in and parsing PlanetScope data: This package would likely include functions for reading in and parsing PlanetScope data from various file formats, such as GeoTIFF.

*    Visualizing PlanetScope data: The package might include functions for visualizing the satellite imagery, such as plotting the images on a map or creating an animation of a time series of images.

*    Extracting features from PlanetScope data: The package might include functions for extracting features from the satellite imagery, such as calculating the mean or standard deviation of pixel values within a region of interest.

*    Generating training data for machine learning algorithms: The package might include functions for generating training data for machine learning algorithms by extracting features from the satellite imagery and labeling them according to a specific task, such as land cover classification.

Overall, a Python package for reading and plotting PlanetScope data could be useful for a wide range of applications, including agriculture, construction, and environmental monitoring. It could also be used to train machine learning algorithms for tasks such as land cover classification.

